Skip to main content
PATCH
cURL

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Параметры пути

tableId
string
обязательно

Тело

application/json
ranges
number[][]
обязательно

The parameter "ranges" is used to represent the coordinates of a selected range in a table.

Minimum array length: 1
Required array length: 2 elements
Пример:
content
обязательно

Content to paste

Пример:

"John\tDoe\tjohn.doe@example.com"

viewId
string

Set the view you want to fetch. When provided, records will follow that view's filter and sort settings. When omitted, the API queries the table without applying a view.

Пример:

"viwXXXXXXX"

ignoreViewQuery

When a viewId is specified, configure this to true will ignore the view's filter, sort, etc

filterByTql
string
устарело
Пример:

"{field} = 'Completed' AND {field} > 5"

filter
object

A filter object for complex query conditions based on fields, operators, and values. Use our visual query builder at https://app.teable.ai/developer/tool/query-builder to build filters.

search

Search for records that match the specified field and value

Required array length: 1 element

Filter out the records that can be selected by a given link cell from the relational table. For example, if the specified field is one to many or one to one relationship, recordId for which the field has already been selected will not appear.

Required array length: 2 elements
Пример:

Filter out selected records based on this link cell from the relational table. Note that viewId, filter, and orderBy will not take effect in this case because selected records has it own order. Ignoring recordId gets all the selected records for the field

Required array length: 2 elements
Пример:
selectedRecordIds
string[]

Filter selected records by record ids

orderBy
array

An array of sort objects that specifies how the records should be ordered.

groupBy
object[] | null
collapsedGroupIds
string[]
queryId
string

When provided, other query parameters will be merged with the saved ones.

Пример:

"qry_xxxxxxxx"

includeQueryExtra

Whether to include query extra metadata such as group points and search hit indexes. Group metadata defaults to enabled; optimized generated-index searches require explicit opt-in for search hit indexes.

projection
string[]

If you want to get only some fields, pass in this parameter, otherwise all visible fields will be obtained

type
enum<string>

Types of non-contiguous selections

Доступные опции:
rows,
columns
Пример:

"columns"

header
object[]

Table header for paste operation

Пример:

Ответ

200

SSE stream with paste progress events and final result

Последнее изменение 15 сентября 2026 г.